#include <bits/stdc++.h>

using namespace std;
/*int dp[10000][10000];

void rez(){
    for(int i=0;i<m;i++){
        if(ab[i].second==u){
            
        }
    }
}*/

int main()
{
    
    int n,m;cin>>n>>m;
    int a[10000],b[10000],t[10000];
    //vector<pair<int,int>> ab;
    for(int i=1; i<=m;i++){
        cin>>a[i]>>b[i]>>t[i];
        //ab.push_back(pair(a,b));
    }
    int v,u; cin>>v>>u;
   /* cout<<ab[1].first;*/
    cout<<2*a[3]-2;
    
}